<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="goodsBean"
            type="com.datarecovery.master.data.api.bean.MemberGoodsBean" />

        <import type="com.atmob.common.ui.SizeUtil" />

        <import type="com.atmob.common.text.TextUtil" />
    </data>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginBottom="5dp">

        <Space
            android:id="@+id/space1"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            app:layout_constraintDimensionRatio="328:11"
            app:layout_constraintTop_toTopOf="parent" />


        <ImageView
            android:id="@+id/iv_bg"
            imageDraw="@{goodsBean.select ? @drawable/bg_member_goods_type_selected : @drawable/bg_member_goods_type_normal}"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            app:layout_constraintBottom_toBottomOf="@+id/space_bottom"
            app:layout_constraintTop_toBottomOf="@+id/space1"
            tools:src="@drawable/bg_member_goods_type_selected" />

        <TextView
            android:id="@+id/tv_member_buy_price"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginEnd="15dp"
            android:text="@{TextUtil.formatFloatWithout0End(goodsBean.RMBAmount, 2)}"
            android:textColor="#2C3986"
            android:textSize="28sp"
            android:textStyle="bold"
            app:layout_constraintBottom_toTopOf="@+id/iv_aging"
            app:layout_constraintRight_toRightOf="@+id/iv_bg"
            app:layout_constraintTop_toTopOf="@id/iv_bg"
            app:layout_constraintVertical_bias="0.4186046511627907"
            tools:text="66"
            tools:textColor="#404040" />

        <TextView
            deleteLine="@{Boolean.TRUE}"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="-3dp"
            android:text="@{@string/member_price(TextUtil.formatFloatWithout0End(goodsBean.originalAmount, 1))}"
            android:textColor="#66233D6F"
            android:textSize="11sp"
            app:layout_constraintEnd_toEndOf="@+id/tv_member_buy_price"
            app:layout_constraintTop_toBottomOf="@+id/tv_member_buy_price"
            tools:text="￥299" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginEnd="2dp"
            android:text="@string/rmb"
            android:textColor="#2C3986"
            android:textSize="15sp"
            android:textStyle="bold"
            app:layout_constraintBaseline_toBaselineOf="@+id/tv_member_buy_price"
            app:layout_constraintEnd_toStartOf="@+id/tv_member_buy_price" />

        <TextView
            android:id="@+id/tv_member_buy_tag"
            isInvisible="@{!goodsBean.popular}"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:background="@drawable/bg_member_tag"
            android:gravity="center"
            android:paddingHorizontal="12dp"
            android:paddingVertical="2dp"
            android:text="@string/member_buy_tag_txt"
            android:textColor="@color/white"
            android:textSize="12dp"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <Space
            android:id="@+id/space2"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            app:layout_constraintDimensionRatio="328:14"
            app:layout_constraintTop_toTopOf="@+id/iv_bg" />

        <TextView
            android:id="@+id/tv_goods_name"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="12dp"
            android:text="@{goodsBean.name}"
            android:textColor="#2C3986"
            android:textSize="16sp"
            android:textStyle="bold"
            app:layout_constraintStart_toStartOf="@id/iv_bg"
            app:layout_constraintTop_toBottomOf="@+id/space2"
            tools:text="超级恢复" />

        <TextView
            android:id="@+id/tv_goods_desc"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginTop="3dp"
            android:text="@{goodsBean.copywriting}"
            android:textColor="#2C3986"
            android:textSize="11sp"
            app:layout_constraintStart_toStartOf="@+id/tv_goods_name"
            app:layout_constraintTop_toBottomOf="@+id/tv_goods_name"
            app:layout_constraintWidth_percent="0.6067073170731707"
            tools:text="解锁全部恢复功能 (微信消息、微信好友、图片、视频、文件、音频)" />

        <Space
            android:id="@+id/space3"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            app:layout_constraintDimensionRatio="328:12"
            app:layout_constraintTop_toBottomOf="@+id/tv_goods_desc" />


        <View
            android:id="@+id/iv_aging"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_marginHorizontal="2dp"
            android:background="@drawable/bg_member_aging"
            app:layout_constraintDimensionRatio="924:87"
            app:layout_constraintTop_toBottomOf="@+id/space3" />

        <ImageView
            android:visibility="gone"
            android:id="@+id/iv_member_unlimited"
            imageRes="@{goodsBean.unlimitedImg}"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="10dp"
            app:layout_constraintBottom_toBottomOf="@+id/iv_aging"
            app:layout_constraintStart_toStartOf="@+id/iv_aging"
            app:layout_constraintTop_toTopOf="@+id/iv_aging"
            tools:src="@drawable/bg_member_recover_unlimited" />

        <ImageView
            imageRes="@{goodsBean.validityPeriod}"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="12dp"
            app:layout_constraintBottom_toBottomOf="@+id/iv_aging"
            app:layout_constraintStart_toEndOf="@+id/iv_member_unlimited"
            app:layout_constraintTop_toTopOf="@+id/iv_aging"
            tools:src="@drawable/bg_member_permanent" />

        <ImageView
            isGone="@{!goodsBean.select}"
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:src="@drawable/icon_member_goods_checked"
            app:layout_constraintBottom_toBottomOf="@id/iv_bg"
            app:layout_constraintDimensionRatio="102:66"
            app:layout_constraintEnd_toEndOf="@id/iv_bg"
            app:layout_constraintWidth_percent="0.1036585365853659" />

        <Space
            android:id="@+id/space_bottom"
            android:layout_width="match_parent"
            android:layout_height="2dp"
            app:layout_constraintTop_toBottomOf="@+id/iv_aging" />

    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>